Skip to content

User Management

Add a provider user or fetch available user profiles.

POST /users

Add a user to a provider.

Inputs

LocationFieldTypeRequired
bodyfirst_namestringYes
bodylast_namestringYes
bodydial_codestringYes
bodyphone_numberstringYes
bodyemailstringYes
bodyrolestringYes
bodypasswordstringNo
bodyis_adminbooleanYes

Example

POST https://dispensaryapi.famasi.africa/api/v1/providers/users

Returns 201 with these fields:

FieldType
idstring
first_namestring
last_namestring
emailstring
phone_numberstring
dial_codestring
rolestring
is_adminboolean
is_activeboolean

Errors: 400 invalid request data, 500 server error.

GET /profiles

Fetch user profiles.

Returns 200 with these fields in data:

FieldType
idstring
emailstring
first_namestring
last_namestring
phone_numberstring
dial_codestring
rolestring
is_verifiedboolean
is_activeboolean
is_adminboolean
is_ownerboolean

Errors: 401 unauthorized, 500 server error.

Authentication

Send a provider API key as x-api-key. Provider API keys →